package SeMeet::Model::IAPI;

use strict;
use warnings;
use utf8;
use Mojo::UserAgent;

our $VERSION = '0.01';

sub new {
    my $classname = shift;
    my $base_url  = shift;
    my $self      = {};

    $self->{ua} = Mojo::UserAgent->new();
    $self->{base_url} = $base_url;

    bless ($self, $classname);
    return $self;
}

sub ua {
    my $self = shift;
    return $self->{ua};
}

sub get {
    my $self     = shift;
    my $endpoint = shift;

    my $res = $self->ua->get(
        $self->{base_url} . $endpoint
    )->result();

    return undef if ! $res->is_success;

    return $res->json;

}

1;
